Index: utils/lib/python/soclib_cc/platform.py
===================================================================
--- utils/lib/python/soclib_cc/platform.py	(revision 1050)
+++ utils/lib/python/soclib_cc/platform.py	(working copy)
@@ -67,6 +67,7 @@
 		component = Specialization(
 			Source(mode, source_file, uses, defines, **params),
 			**params)
+		self.component = component
 		self.todo = ToDo()
 		self.objs = set()
 #		component.printAllUses()
@@ -87,6 +88,16 @@
 	def genMakefile(self):
 		return self.todo.genMakefile()
 
+	def embeddedCodeCflags(self):
+		paths = set([])
+		for mod in self.component.getSubTree():
+			isAddressable = filter(
+				lambda ext: ext.startswith('dsx:addressable='),
+				mod.getExtensions())
+			if isAddressable:
+				paths |= set(map(os.path.dirname,mod.getInterfaceFiles()))
+		return ' '.join(map(lambda x: '-I'+x, paths))
+
 	def __repr__(self):
 		import pprint
 		return '%s(%r, %r,\n%s, %r, %r)'%(
Index: utils/lib/python/soclib-cc-main.py
===================================================================
--- utils/lib/python/soclib-cc-main.py	(revision 1050)
+++ utils/lib/python/soclib-cc-main.py	(working copy)
@@ -130,6 +130,9 @@
 					  action='store', nargs = 1,
 					  help="Auto report bug. Methods allowed: openbrowser, *none",
 					  choices = ("openbrowser", "none"))
+	parser.add_option('--cflags', dest = 'cflags',
+					  action='store_true',
+					  help="Print software include directories C flags")
 	parser.set_defaults(auto_bug_report = "none",
 						includes = [])
 	opts, args = parser.parse_args()
@@ -275,6 +278,8 @@
 			fd.close()
 		elif opts.clean:
 			todo.clean()
+		elif opts.cflags:
+			print todo.embeddedCodeCflags()
 		else:
 			todo.process()
 	elif opts.compile:
Index: utils/lib/python/soclib_desc/specialization.py
===================================================================
--- utils/lib/python/soclib_desc/specialization.py	(revision 1050)
+++ utils/lib/python/soclib_desc/specialization.py	(working copy)
@@ -196,6 +196,9 @@
 	def getImplementationFiles(self):
 		return self.__cdef['abs_implementation_files']
 
+	def getInterfaceFiles(self):
+		return self.__cdef['abs_interface_files']
+
 	def getObjectFiles(self):
 		return self.__cdef['abs_object_files']
 
Index: utils/lib/python/soclib_desc/module.py
===================================================================
--- utils/lib/python/soclib_desc/module.py	(revision 1050)
+++ utils/lib/python/soclib_desc/module.py	(working copy)
@@ -96,6 +96,7 @@
 		'global_header_files' : [],
 		'implementation_files' : [],
 		'object_files' : [],
+		'interface_files' : [],
 		'uses' : [],
 		'defines' : {},
 		'ports' : [],
@@ -177,7 +178,7 @@
 		return copy.copy(self.__attrs[name])
 
 	def _mk_abs_paths(self, basename):
-		relative_path_files = ['header_files', 'implementation_files', 'object_files']
+		relative_path_files = ['header_files', 'implementation_files', 'object_files', 'interface_files']
 		def mkabs(name):
 			return os.path.isabs(name) \
 				   and name \
Index: soclib/module/connectivity_component/vci_block_device/caba/metadata/vci_block_device.sd
===================================================================
--- soclib/module/connectivity_component/vci_block_device/caba/metadata/vci_block_device.sd	(revision 1050)
+++ soclib/module/connectivity_component/vci_block_device/caba/metadata/vci_block_device.sd	(working copy)
@@ -10,6 +10,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	   header_files = ['../source/include/vci_block_device.h',
+					],
+    interface_files = [
 					   '../../include/block_device.h'
 					   ],
 	   implementation_files = ['../source/src/vci_block_device.cpp',],
Index: soclib/module/connectivity_component/vci_fd_access/caba/metadata/vci_fd_access.sd
===================================================================
--- soclib/module/connectivity_component/vci_fd_access/caba/metadata/vci_fd_access.sd	(revision 1050)
+++ soclib/module/connectivity_component/vci_fd_access/caba/metadata/vci_fd_access.sd	(working copy)
@@ -10,6 +10,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	   header_files = ['../source/include/vci_fd_access.h',
+					],
+    interface_files = [
 					   '../../include/fd_access.h'
 					   ],
 	   implementation_files = ['../source/src/vci_fd_access.cpp',],
Index: soclib/module/connectivity_component/vci_multi_tty/tlmt/metadata/vci_multi_tty.sd
===================================================================
--- soclib/module/connectivity_component/vci_multi_tty/tlmt/metadata/vci_multi_tty.sd	(revision 1050)
+++ soclib/module/connectivity_component/vci_multi_tty/tlmt/metadata/vci_multi_tty.sd	(working copy)
@@ -33,6 +33,8 @@
        classname = 'soclib::tlmt::VciMultiTty',
        tmpl_parameters = [parameter.Module('vci_param',  default = 'tlmt:vci_param')],
        header_files = ['../source/include/vci_multi_tty.h',
+					],
+    interface_files = [
                        '../../include/tty.h',
                        ],
        implementation_files = ['../source/src/vci_multi_tty.cpp',],
Index: soclib/module/connectivity_component/vci_multi_tty/caba/metadata/vci_multi_tty.sd
===================================================================
--- soclib/module/connectivity_component/vci_multi_tty/caba/metadata/vci_multi_tty.sd	(revision 1050)
+++ soclib/module/connectivity_component/vci_multi_tty/caba/metadata/vci_multi_tty.sd	(working copy)
@@ -10,6 +10,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	   header_files = ['../source/include/vci_multi_tty.h',
+					],
+    interface_files = [
 					   '../../include/tty.h'
 					   ],
 	   implementation_files = ['../source/src/vci_multi_tty.cpp',],
Index: soclib/module/infrastructure_component/dma_infrastructure/vci_dma/caba/metadata/vci_dma.sd
===================================================================
--- soclib/module/infrastructure_component/dma_infrastructure/vci_dma/caba/metadata/vci_dma.sd	(revision 1050)
+++ soclib/module/infrastructure_component/dma_infrastructure/vci_dma/caba/metadata/vci_dma.sd	(working copy)
@@ -10,6 +10,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	header_files = ['../source/include/vci_dma.h',
+					],
+    interface_files = [
 					'../../include/dma.h',
 					],
 	implementation_files = ['../source/src/vci_dma.cpp',],
Index: soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/tlmt/metadata/vci_icu.sd
===================================================================
--- soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/tlmt/metadata/vci_icu.sd	(revision 1050)
+++ soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/tlmt/metadata/vci_icu.sd	(working copy)
@@ -6,6 +6,8 @@
        classname = 'soclib::tlmt::VciIcu',
        tmpl_parameters = [ parameter.Module('vci_param',  default = 'tlmt:vci_param')],
        header_files = ['../source/include/vci_icu.h',
+					],
+    interface_files = [
                        '../../include/icu.h',],
        implementation_files = ['../source/src/vci_icu.cpp',],
        ports = [ Port('tlmt:vci_target', 'p_vci') ],
Index: soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/caba/metadata/vci_icu.sd
===================================================================
--- soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/caba/metadata/vci_icu.sd	(revision 1050)
+++ soclib/module/infrastructure_component/interrupt_infrastructure/vci_icu/caba/metadata/vci_icu.sd	(working copy)
@@ -10,6 +10,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	header_files = ['../source/include/vci_icu.h',
+					],
+    interface_files = [
 					'../../include/icu.h',
 					],
 	implementation_files = ['../source/src/vci_icu.cpp',],
Index: soclib/module/verification_component/vci_simhelper/caba/metadata/vci_simhelper.sd
===================================================================
--- soclib/module/verification_component/vci_simhelper/caba/metadata/vci_simhelper.sd	(revision 1050)
+++ soclib/module/verification_component/vci_simhelper/caba/metadata/vci_simhelper.sd	(working copy)
@@ -10,8 +10,10 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	header_files = ['../source/include/vci_simhelper.h',
+					],
+	interface_files = [
 					'../../include/simhelper.h',
-					],
+		],
 	implementation_files = ['../source/src/vci_simhelper.cpp',],
 			  ports = [
 	Port('caba:vci_target', 'p_vci'),
Index: soclib/module/internal_component/vci_timer/tlmt/metadata/vci_timer.sd
===================================================================
--- soclib/module/internal_component/vci_timer/tlmt/metadata/vci_timer.sd	(revision 1050)
+++ soclib/module/internal_component/vci_timer/tlmt/metadata/vci_timer.sd	(working copy)
@@ -6,8 +6,10 @@
        classname = 'soclib::tlmt::VciTimer',
        tmpl_parameters = [ parameter.Module('vci_param',  default = 'tlmt:vci_param') ],
        header_files = ['../source/include/vci_timer.h',
+                       ],
+	   interface_files = [
                        '../../include/timer.h',
-                       ],
+					   ],
        implementation_files = ['../source/src/vci_timer.cpp',],
        ports = [ Port('tlmt:vci_target', 'p_vci') ],
        uses = [ Uses('tlmt:base_module'),
Index: soclib/module/internal_component/vci_timer/caba/metadata/vci_timer.sd
===================================================================
--- soclib/module/internal_component/vci_timer/caba/metadata/vci_timer.sd	(revision 1050)
+++ soclib/module/internal_component/vci_timer/caba/metadata/vci_timer.sd	(working copy)
@@ -10,6 +10,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	header_files = ['../source/include/vci_timer.h',
+					],
+    interface_files = [
 					'../../include/timer.h',
 					],
 	implementation_files = ['../source/src/vci_timer.cpp',],
Index: soclib/module/internal_component/vci_mwmr_controller/tlmt/metadata/vci_mwmr_controller.sd
===================================================================
--- soclib/module/internal_component/vci_mwmr_controller/tlmt/metadata/vci_mwmr_controller.sd	(revision 1050)
+++ soclib/module/internal_component/vci_mwmr_controller/tlmt/metadata/vci_mwmr_controller.sd	(working copy)
@@ -33,6 +33,8 @@
        classname = 'soclib::tlmt::VciMwmrController',
        tmpl_parameters = [parameter.Module('vci_param',  default = 'tlmt:vci_param')],
        header_files = ['../source/include/vci_mwmr_controller.h',
+					],
+    interface_files = [
                        '../../include/mwmr_controller.h',],
        implementation_files = ['../source/src/vci_mwmr_controller.cpp',],
        ports = [Port('tlmt:vci_target', 'p_target_vci'),
Index: soclib/module/internal_component/vci_mwmr_controller/caba/metadata/vci_mwmr_controller.sd
===================================================================
--- soclib/module/internal_component/vci_mwmr_controller/caba/metadata/vci_mwmr_controller.sd	(revision 1050)
+++ soclib/module/internal_component/vci_mwmr_controller/caba/metadata/vci_mwmr_controller.sd	(working copy)
@@ -7,6 +7,8 @@
 Module('caba:vci_mwmr_controller',
 	classname = 'soclib::caba::VciMwmrController',
 	header_files = ['../source/include/vci_mwmr_controller.h',
+					],
+    interface_files = [
 					'../../include/mwmr_controller.h',
 					],
 	implementation_files = ['../source/src/vci_mwmr_controller.cpp',],
Index: soclib/module/internal_component/vci_mwmr_controller_lf/caba/metadata/vci_mwmr_controller_lf.sd
===================================================================
--- soclib/module/internal_component/vci_mwmr_controller_lf/caba/metadata/vci_mwmr_controller_lf.sd	(revision 1050)
+++ soclib/module/internal_component/vci_mwmr_controller_lf/caba/metadata/vci_mwmr_controller_lf.sd	(working copy)
@@ -7,6 +7,8 @@
 Module('caba:vci_mwmr_controller_lf',
 	classname = 'soclib::caba::VciMwmrControllerLf',
 	header_files = ['../source/include/vci_mwmr_controller_lf.h',
+					],
+    interface_files = [
 					'../../include/mwmr_controller_lf.h',
 					],
 	implementation_files = ['../source/src/vci_mwmr_controller_lf.cpp',],
Index: soclib/module/internal_component/vci_pci/caba/metadata/vci_pci.sd
===================================================================
--- soclib/module/internal_component/vci_pci/caba/metadata/vci_pci.sd	(revision 1050)
+++ soclib/module/internal_component/vci_pci/caba/metadata/vci_pci.sd	(working copy)
@@ -10,6 +10,8 @@
 	parameter.Module('vci_param',  default = 'caba:vci_param'),
 	],
 	header_files = ['../source/include/vci_pci.h',
+					],
+    interface_files = [
 					'../source/include/pci.h',
 					],
 	implementation_files = ['../source/src/vci_pci.cpp',],
Index: soclib/lib/iss_memchecker/metadata/iss_memchecker.sd
===================================================================
--- soclib/lib/iss_memchecker/metadata/iss_memchecker.sd	(revision 1050)
+++ soclib/lib/iss_memchecker/metadata/iss_memchecker.sd	(working copy)
@@ -11,6 +11,9 @@
 	implementation_files = [
 		"../src/iss_memchecker.cpp",
 		],
+	interface_files = [
+		"../include/iss_memchecker_registers.h",
+		],
 	   tmpl_parameters = [
 	parameter.Module('iss_memchecker_t'),
 	],
